Skip to content
POST/{organizationId}/{mandateId}/finance/cash/transactions/bulk

Bulk create cash transactions

Adds transactions in bulk to a cash account for a given mandate. Will ignore duplicates.

Required permissions:

  • mandate.read

  • cashTransaction.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

cashAccountIdstringrequired

minItems: 1

maxItems: 1000

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/transactions/bulk
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/transactions/bulk' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "cashAccountId": "string",
  "transactions": [
    {
      "date": "string",
      "amount": -9007199254740991
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

insertedintegerrequired

minimum: 0

maximum: 9007199254740991

duplicatesintegerrequired

minimum: 0

maximum: 9007199254740991

failedintegerrequired

minimum: 0

maximum: 9007199254740991

balanceChangeintegerrequired

minimum: -9007199254740991

maximum: 9999999999

Response

200
{
  "inserted": 0,
  "duplicates": 0,
  "failed": 0,
  "balanceChange": -9007199254740991
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}